Bug 1251371 - Elasticsearch versions 1.4.0+ are packaged without groovy support but groovy is default scripting language
Elasticsearch versions 1.4.0+ are packaged without groovy support but groovy ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: elasticsearch (Show other bugs)
22
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 02:39 EDT by Tim Hawkins
Modified: 2016-07-19 15:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:16:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Hawkins 2015-08-07 02:39:04 EDT
When Elasticsearch version was incremented beyond 1.4.0 a new dependency was created against groovy-all-2.4.x.jar which should be installed in /usr/share/elasticsearch/lib

Without this library installed, Elasticsearch will fail all queries that use scripting as groovy is now set as the default scripting language from 1.4.0 onward. 

without this support Elastic-search fails on a query with the exception 

"script_lang not supported [groovy]]" 

Installing Elastic-search downloaded from Elastic-search site correctly installs the groovy support and queries do not fail.
Comment 1 jiri vanek 2015-08-07 09:02:42 EDT
Hello. I'm using packed elastic as it is. if you are missing something, I will be happy to include your patch or make you comaintainer and you can fix it.

Otherwise it is going to be closed-cantfix because I can not spent more free time on it. sorry.
Comment 2 Tim Hawkins 2015-08-08 02:04:06 EDT
I will check it out and see if i can create a package that fixes this, elasticsearch themselves maintain .rpm versions that work perfectly, and include goodies like systemd units, perhaps it would be better to just import thier packages.
Comment 3 jiri vanek 2015-08-10 04:46:40 EDT
(In reply to Tim Hawkins from comment #2)
> I will check it out and see if i can create a package that fixes this,
cool

> elasticsearch themselves maintain .rpm versions that work perfectly, and
> include goodies like systemd units, perhaps it would be better to just
> import thier packages.

Its not posible. Theirs packages are full of embedded stuff.

Of how much,  yo may see the original review.
Comment 4 Fedora Admin XMLRPC Client 2016-02-22 04:33:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-07-19 15:16:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.